"""2D Spherical Harmonics Transform classes (:mod:`fluidsht.sht2d`)
===================================================================

This package contains extension modules containing classes for performing
Spherical Harmonics Transform (SHT) with different methods and libraries. The
number of classes depend on how many SHT libraries are available. The 2D
classes currently implemented are:

- :class:`fluidsht.sht2d.with_shtns.SHT2DWithSHTns`

To use the SHT classes in real codes, it is simpler and recommended to use the
class :class:`fluidsht.sht2d.operators.OperatorsSphereHarmo2D`.

The classes can be found the following modules:

.. autosummary::
   :toctree:

   with_shtns
   operators

"""
